Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.servlets.jsp.taglib
Class SearchTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.content.manager.servlets.jsp.taglib.BaseTag
              com.bea.content.manager.servlets.jsp.taglib.SearchTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class SearchTag
extends BaseTag

JSP Tag implementation for searching for content. Please see the `Search` class for additional information.

See Also:
  Serialized Form

Field Summary
`protected Map` | `contextParams` Context params.
`protected Expression` | `expr` The query.
`protected int` | `max` The maximum number of content to return.
`protected Node[]` | `nodes` The Nodes returned from the search.
`protected String` | `queryStr` The query string.
`protected String[]` | `searchPaths` Search paths.
`protected String` | `sortBy` The sort by clause.

Fields inherited from class com.bea.content.manager.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SearchTag()`

Method Summary
`int` | `doStartTag()` Run the tag.
`Map` | `getContextParams()` Get the context params.
`String` | `getMax()` Get the value of `max` as a String.
`String` | `getQuery()` Get the value of `queryStr`.
`String[]` | `getSearchPaths()` Get the value of `searchPaths`.
`String` | `getSortBy()` Get the value of `sortBy`.
`void` | `release()` Release this tag.
`void` | `setContextParams(Map m)` Set the context params.
`void` | `setContextParams(String str)` Set the context params from semi-colon separate list of name=value pairs.
`void` | `setExpression(Expression expr)` Set the `expression object` to use.
`void` | `setMax(int l)` Set the value of `max`.
`void` | `setMax(String v)` Set the value of `max`.
`void` | `setQuery(String v)` Set the value of `queryStr`.
`void` | `setSearchPaths(String searchPaths)` Set the value of `searchPaths`.
`void` | `setSortBy(String v)` Set the value of `sortBy`.

Methods inherited from class com.bea.content.manager.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contextParams

    protected Map contextParams

  Context params.

### expr

    protected Expression expr

  The query.

### max

    protected int max

  The maximum number of content to return.

### nodes

    protected Node[] nodes

  The Nodes returned from the search.

### queryStr

    protected String queryStr

  The query string.

### searchPaths

    protected String[] searchPaths

  Search paths.

### sortBy

    protected String sortBy

  The sort by clause. The BEA Repository is only able to sort on system properties as defined in the `Search` class.

Constructor Detail

### SearchTag

    public SearchTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Run the tag.

  Throws:
    `JspException`

### getContextParams

    public Map getContextParams()

  Get the context params.

### getMax

    public String getMax()

  Get the value of `max` as a String.

### getQuery

    public String getQuery()

  Get the value of `queryStr`.

### getSearchPaths

    public String[] getSearchPaths()

  Get the value of `searchPaths`.

### getSortBy

    public String getSortBy()

  Get the value of `sortBy`.

### release

    public void release()

  Release this tag.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BaseTag`

### setContextParams

    public void setContextParams(Map m)

  Set the context params.

### setContextParams

    public void setContextParams(String str)

  Set the context params from semi-colon separate list of name=value pairs.

### setExpression

    public void setExpression(Expression expr)

  Set the `expression object` to use.

### setMax

    public void setMax(int l)

  Set the value of `max`.

### setMax

    public void setMax(String v)

  Set the value of `max`.

### setQuery

    public void setQuery(String v)

  Set the value of `queryStr`.

### setSearchPaths

    public void setSearchPaths(String searchPaths)

  Set the value of `searchPaths`.

### setSortBy

    public void setSortBy(String v)

  Set the value of `sortBy`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved